/* *FH*******************************************************************  */
/* *                                                                    *  */
/* * FILE-NAME     : diat_md.h                                          *  */
/* * FUNCTION      : Constants and types for diatomic in WCA-fluid      *  */
/* *                                                                    *  */
/* * AUTHOR        : Ch. Dellago                                        *  */
/* * CREATION-DATE : 05-02-1998                                         *  */
/* *                                                                    *  */
/* *                                                                    *  */
/* **********************************************************************  */

/*-------------------------------------------------------------------------*/
/*              Compiler switches                                          */
/*-------------------------------------------------------------------------*/

#define  GRAPHICS               /* With graphics                           */

/*-------------------------------------------------------------------------*/
/*              General constants                                          */
/*-------------------------------------------------------------------------*/

#define  DIM      2                  
#define  NAVERAGE 5                 

#define  IA       16807              
#define  IM       2147483647
#define  AM       (1.0/IM)
#define  IQ       127773
#define  IR       2836
#define  MASK     123459876

#define  ESC      0x1b               
#define  TRUE     1
#define  FALSE    0
#define  PI       3.14159265358979323846
#define  ON       1
#define  OFF      0
#define  LN2      0.693147180559945309417
#define  CFIT     1.1257

/* constants for function next_char */
#define  CODE     0
#define  COMM     1
#define  TO_CODE  2
#define  TO_COMM  3

/*-------------------------------------------------------------------------*/
/*              type definitions                                           */
/*-------------------------------------------------------------------------*/

typedef struct {REAL   stepsize;
                DWORD  nsteps;
                DWORD  nio;
                DWORD  nplot;
                WORD   ndisks;
                REAL   rho;
		REAL   R_A;
		REAL   R_B;
		REAL   energy;
		REAL   width;
		REAL   height; } INPUT_STR;

typedef struct {REAL   ekin;
                REAL   e2kin;
                REAL   p[DIM];
		REAL   state_A;
		REAL   state_B;
                DWORD  navrg;} AVRG_STR;
